Main Page Modules Data Structures File List Data Fields Globals Related Pages

# FileListRec_s Struct Reference

## Data Fields
stat | fl_st
const char * | diskURL
const char * | fileURL
const char * | uname
const char * | gname
unsigned | flags
specdFlags | specdFlags
unsigned | verifyFlags
const char * | langs

## Field Documentation

const char* FileListRec_s::diskURL

| Definition at line 73 of file files.c. Referenced by addFile, freeFileList, genCpioListAndHeader, and processSourceFiles.

const char* FileListRec_s::fileURL

| Definition at line 74 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

struct stat FileListRec_s::fl_st

| Definition at line 62 of file files.c. Referenced by addFile, and processSourceFiles.

unsigned FileListRec_s::flags

| Definition at line 77 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

const char* FileListRec_s::gname

| Definition at line 76 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

const char* FileListRec_s::langs

| Definition at line 80 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

specdFlags FileListRec_s::specdFlags

| Definition at line 78 of file files.c. Referenced by addFile, and genCpioListAndHeader.

const char* FileListRec_s::uname

| Definition at line 75 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

unsigned FileListRec_s::verifyFlags

| Definition at line 79 of file files.c. Referenced by addFile, genCpioListAndHeader, and processSourceFiles.

The documentation for this struct was generated from the following file:

- build/files.c